EscalationState (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.escalation.server.session.EscalationState class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.escalation.server.session
Class EscalationState

    java.lang.Object
      org.hyperic.hibernate.PersistedObject
          org.hyperic.hq.escalation.server.session.EscalationState

All Implemented Interfaces:
  java.io.Serializable

    public class EscalationState

extends PersistedObject

The escalation state ties an escalation chain to an alert definition.

See Also:
  Serialized Form

Constructor Summary
`protected` | `EscalationState()`
`protected` | `EscalationState(Escalatable alert)`

Method Summary
`AuthzSubject` | `getAcknowledgedBy()`
`int` | `getAlertDefinitionId()`
`int` | `getAlertId()`
`EscalationAlertType` | `getAlertType()`
`protected int` | `getAlertTypeEnum()`
`Escalation` | `getEscalation()`
`int` | `getNextAction()`
`long` | `getNextActionTime()`
`boolean` | `isPaused()`
`protected void` | `setAcknowledgedBy(AuthzSubject subject)`
`protected void` | `setAlertDefinitionId(int alertDefinitionId)`
`protected void` | `setAlertId(int alertId)`
`protected void` | `setAlertTypeEnum(int typeCode)`
`protected void` | `setEscalation(Escalation escalation)`
`protected void` | `setNextAction(int nextAction)`
`protected void` | `setNextActionTime(long nextActionTime)`
`protected void` | `setPaused(boolean paused)`

Methods inherited from class org.hyperic.hibernate.PersistedObject
`equals, get_version_, getId, hashCode, set_version_, setId`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EscalationState

    protected EscalationState()

### EscalationState

    protected EscalationState(Escalatable alert)

Method Detail

### getNextAction

    public int getNextAction()

### setNextAction

    protected void setNextAction(int nextAction)

### getNextActionTime

    public long getNextActionTime()

### setNextActionTime

    protected void setNextActionTime(long nextActionTime)

### getEscalation

    public Escalation getEscalation()

### setEscalation

    protected void setEscalation(Escalation escalation)

### getAlertDefinitionId

    public int getAlertDefinitionId()

### setAlertDefinitionId

    protected void setAlertDefinitionId(int alertDefinitionId)

### getAlertId

    public int getAlertId()

### setAlertId

    protected void setAlertId(int alertId)

### getAlertType

    public EscalationAlertType getAlertType()

### getAlertTypeEnum

    protected int getAlertTypeEnum()

### setAlertTypeEnum

    protected void setAlertTypeEnum(int typeCode)

### isPaused

    public boolean isPaused()

### setPaused

    protected void setPaused(boolean paused)

### getAcknowledgedBy

    public AuthzSubject getAcknowledgedBy()

### setAcknowledgedBy

    protected void setAcknowledgedBy(AuthzSubject subject)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.